org.tmatesoft.svn.core.wc.xml

## Class SVNXMLSerializer

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.SVNXMLSerializer

- All Implemented Interfaces:
    org.xml.sax.ContentHandler

      public class SVNXMLSerializer
      extends java.lang.Object
      implements org.xml.sax.ContentHandler

  This implementation of ContentHandler can write XML contents to a specified output stream or writer.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNXMLSerializer(java.io.OutputStream os)` Creates a serializer to write XML contents to the specified output stream.
    `SVNXMLSerializer(java.io.Writer writer)` Creates a serializer to write XML contents to the specified writer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Handles CData characters.
    `void` | `endDocument()` Writes a End Of Line marker to the output.
    `void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Closes the xml element.
    `void` | `endPrefixMapping(java.lang.String prefix)` Does nothing.
    `void` | `flush()` Flushes written bytes.
    `void` | `ignorableWhitespace(char[] ch, int start, int length)` Does nothing.
    `void` | `processingInstruction(java.lang.String target, java.lang.String data)` Does nothing.
    `void` | `setDocumentLocator(org.xml.sax.Locator locator)` Does nothing.
    `void` | `skippedEntity(java.lang.String name)` Does nothing.
    `void` | `startDocument()` Starts xml document.
    `void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Starts an xml element.
    `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Does nothing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNXMLSerializer

          public SVNXMLSerializer(java.io.OutputStream os)

      Creates a serializer to write XML contents to the specified output stream.
      Parameters:
        `os` - an output stream to write contents to

    - #### SVNXMLSerializer

          public SVNXMLSerializer(java.io.Writer writer)

      Creates a serializer to write XML contents to the specified writer.
      Parameters:
        `writer` - a writer to write contents to

  - ### Method Detail

    - #### flush

          public void flush()
                     throws java.io.IOException

      Flushes written bytes.
      Throws:
        `java.io.IOException`

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Starts xml document.
      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String namespaceURI,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Starts an xml element.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `namespaceURI` -
        `localName` -
        `qName` -
        `atts` -
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Handles CData characters.
      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `ch` -
        `start` -
        `length` -
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String namespaceURI,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      Closes the xml element.
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `namespaceURI` -
        `localName` -
        `qName` -
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Writes a End Of Line marker to the output.
      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                 int start,
                                 int length)
                                   throws org.xml.sax.SAXException

      Does nothing.
      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `ch` -
        `start` -
        `length` -
      Throws:
        `org.xml.sax.SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String prefix)
                                throws org.xml.sax.SAXException

      Does nothing.
      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `prefix` -
      Throws:
        `org.xml.sax.SAXException`

    - #### skippedEntity

          public void skippedEntity(java.lang.String name)
                             throws org.xml.sax.SAXException

      Does nothing.
      Specified by:
        `skippedEntity` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `name` -
      Throws:
        `org.xml.sax.SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator locator)

      Does nothing.
      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `locator` -

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                   java.lang.String data)
                                     throws org.xml.sax.SAXException

      Does nothing.
      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `target` -
        `data` -
      Throws:
        `org.xml.sax.SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String prefix,
                                java.lang.String uri)
                                  throws org.xml.sax.SAXException

      Does nothing.
      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Parameters:
        `prefix` -
        `uri` -
      Throws:
        `org.xml.sax.SAXException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.